#include <bits/stdc++.h>
using namespace std;
int n,k,res[2000000],m=0;
map<int,int> x;
int main() {
	cin>>n>>k;
	int a;
	for(int i=0;i<n;i++){
		cin>>a;
		x[a]++;
		if(x[a]==k)
			res[m++]=a;
	}
	cout<<m<<endl;
	for(int i=0;i<m;i++)
		cout<<res[i]<<" ";
	return 0;
}